Bug 924222 - [xmlrpc_Bug] Cannot get flags info through Bug.get.
[xmlrpc_Bug] Cannot get flags info through Bug.get.
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity urgent (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks: 822007
  Show dependency treegraph
 
Reported: 2013-03-21 07:44 EDT by Xin Zhang
Modified: 2013-07-04 04:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-24 22:08:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Xin Zhang 2013-03-21 07:44:00 EDT
Description of problem:
Cannot get flags info through Bug.get.

Version-Release number of selected component (if applicable):
4.4.rc2-2.b01

How reproducible:
100%

Steps to Reproduce:
1.Add one "flag" to a bug.
2.call xmlrpc.Bug.get with only "ids" 
3.call xmlrpc.Bug.get with "ids" and "flags" in "include_field" field
4.call xmlrpc.Bug.get with "ids" and "flags" in "extra_field" field
  
Actual results:
All these methods cannot acquire "flag" info.

Expected results:
"flags" info can be acquired.

Additional info:
"flags" info is very important to users.There need some methods to get info about it.
Comment 1 Xin Zhang 2013-03-24 22:08:34 EDT
For my mistake,falsely count "inclede_field" as "include_fields". In actually, it can acquire "flags" info using "include_fields". Sorry.

Note You need to log in before you can comment on or make changes to this bug.